## ros-humble-dbw-ford-msgs 2.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(dbw_ford_msgs)

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  "msg/AmbientLight.msg"
  "msg/BrakeCmd.msg"
  "msg/BrakeInfoReport.msg"
  "msg/BrakeReport.msg"
  "msg/DriverAssistReport.msg"
  "msg/FuelLevelReport.msg"
  "msg/GearCmd.msg"
  "msg/Gear.msg"
  "msg/GearNum.msg"
  "msg/GearReject.msg"
  "msg/GearReport.msg"
  "msg/HillStartAssist.msg"
  "msg/Ignition.msg"
  "msg/MiscCmd.msg"
  "msg/Misc1Report.msg"
  "msg/ParkingBrake.msg"
  "msg/ParkingBrakeCmd.msg"
  "msg/QualityFactor.msg"
  "msg/SteeringCmd.msg"
  "msg/SteeringReport.msg"
  "msg/SurroundReport.msg"
  "msg/ThrottleCmd.msg"
  "msg/ThrottleInfoReport.msg"
  "msg/ThrottleReport.msg"
  "msg/TirePressureReport.msg"
  "msg/TurnSignal.msg"
  "msg/TwistCmd.msg"
  "msg/WatchdogCounter.msg"
  "msg/WheelPositionReport.msg"
  "msg/WheelSpeedReport.msg"
  "msg/Wiper.msg"
  DEPENDENCIES
  "std_msgs"
  "geometry_msgs"
)

install(
  FILES "mapping_rules.yaml"
  DESTINATION share/${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-humble-dbw-ford-msgs (2.1.1-1jammy) jammy; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 24 Jan 2023 05:00:00 -0000

ros-humble-dbw-ford-msgs (2.1.0-1jammy) jammy; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 30 Nov 2022 05:00:00 -0000

ros-humble-dbw-ford-msgs (2.0.3-1jammy) jammy; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 14 Oct 2022 04:00:00 -0000

ros-humble-dbw-ford-msgs (2.0.2-1jammy) jammy; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 13 May 2022 04:00:00 -0000

ros-humble-dbw-ford-msgs (2.0.1-1jammy) jammy; urgency=high

  * Add electric parking brake control
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 23 Feb 2022 05:00:00 -0000

ros-humble-dbw-ford-msgs (2.0.0-1jammy) jammy; urgency=high

  * Initial ROS2 release
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 03 Nov 2021 04:00:00 -0000

=== debian/control ===
Source: ros-humble-dbw-ford-msgs
Section: misc
Priority: optional
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-geometry-msgs, ros-humble-rosidl-default-generators, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-humble-dbw-ford-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-geometry-msgs, ros-humble-rosidl-default-runtime, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Drive-by-wire messages for the Lincoln MKZ

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-dbw-ford-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-dbw-ford-msgs 2.1.16

=== debian/changelog ===
ros-humble-dbw-ford-msgs (2.1.16-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sun, 16 Jun 2024 16:00:00 -0000

ros-humble-dbw-ford-msgs (2.1.15-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 06 Jun 2024 16:00:00 -0000

ros-humble-dbw-ford-msgs (2.1.14-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 28 May 2024 16:00:00 -0000

ros-humble-dbw-ford-msgs (2.1.13-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sun, 12 May 2024 16:00:00 -0000

ros-humble-dbw-ford-msgs (2.1.12-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sun, 31 Mar 2024 16:00:00 -0000

ros-humble-dbw-ford-msgs (2.1.11-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 04 Mar 2024 16:00:00 -0000

ros-humble-dbw-ford-msgs (2.1.10-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 26 Feb 2024 16:00:00 -0000

ros-humble-dbw-ford-msgs (2.1.9-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 22 Feb 2024 16:00:00 -0000

ros-humble-dbw-ford-msgs (2.1.8-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 19 Feb 2024 16:00:00 -0000

ros-humble-dbw-ford-msgs (2.1.7-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-dbw-ford-msgs (2.1.6-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 15 Jan 2024 16:00:00 -0000

ros-humble-dbw-ford-msgs (2.1.5-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 02 Jan 2024 16:00:00 -0000

ros-humble-dbw-ford-msgs (2.1.4-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 12 Dec 2023 16:00:00 -0000

ros-humble-dbw-ford-msgs (2.1.3-1bookworm) bookworm; urgency=high

  * Add one-pedal-drive mode status
  * Add ready flag to GearReport message
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sun, 10 Sep 2023 16:00:00 -0000

ros-humble-dbw-ford-msgs (2.1.2-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 09 May 2023 16:00:00 -0000

ros-humble-dbw-ford-msgs (2.1.1-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 23 Jan 2023 16:00:00 -0000

ros-humble-dbw-ford-msgs (2.1.0-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 29 Nov 2022 16:00:00 -0000

ros-humble-dbw-ford-msgs (2.0.3-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 13 Oct 2022 16:00:00 -0000

ros-humble-dbw-ford-msgs (2.0.2-1bookworm) bookworm; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 12 May 2022 16:00:00 -0000

ros-humble-dbw-ford-msgs (2.0.1-1bookworm) bookworm; urgency=high

  * Add electric parking brake control
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 22 Feb 2022 16:00:00 -0000

ros-humble-dbw-ford-msgs (2.0.0-1bookworm) bookworm; urgency=high

  * Initial ROS2 release
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 02 Nov 2021 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-dbw-ford-msgs//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-dbw-ford-msgs//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-dbw-ford-msgs//opt/ros/humble/opt/dbw_ford_msgs/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
